/// <reference types="koa__router" />
/// <reference types="node" />
import Koa from 'koa';
import Router from '@koa/router';
export interface IKoaServerInfo {
    port: number;
    staticPath?: string;
}
export interface IWSMessageData {
    appId: string;
    mainAppId?: string;
    envId: string;
    clientId: string;
    [propName: string]: any;
}
export interface IWSMessage {
    event: 'cals-updated' | 'code-updated' | 'merge-into-local' | 'merge-into-local-result' | 'auto-resolve-conflict' | 'fetch-cals-by-origin-id' | 'fetch-cals-by-origin-id-result' | 'sync-dts-to-local' | 'send-config' | 'send-config-result' | 'one-way-sync-to-local';
    data: IWSMessageData;
}
export declare class KoaServer {
    protected apiApp: Koa<Koa.DefaultState, Koa.DefaultContext>;
    protected app: Koa<Koa.DefaultState, Koa.DefaultContext>;
    protected router: Router<import("koa").DefaultState, import("koa").DefaultContext>;
    protected info: IKoaServerInfo;
    protected staticApp: Koa<Koa.DefaultState, Koa.DefaultContext>;
    constructor(info: IKoaServerInfo);
    addListener(path: string, callback: (ctx: Koa.Context) => Promise<void>): void;
    listen(): import("http").Server;
    private initApiApp;
    private initStaticApp;
    private initApp;
}
export declare const WEDA_WORKSPACES_PATH: string;
declare type WsServerInfoType = {
    projectPath?: string;
};
export declare class KoaWSServer {
    protected app: any;
    protected wedaAppClients: {};
    protected Logger: {
        warn(appId: string, clientId: string, info: string, noPrefix?: boolean): void;
        info(appId: string, clientId: string, info: string, noPrefix?: boolean): void;
        error(appId: string, clientId: string, info: string, noPrefix?: boolean): void;
        success(appId: string, clientId: string, info: string, noPrefix?: boolean): void;
        log(appId: string, clientId: string, info: string, noPrefix: boolean | undefined, color: string): void;
    };
    protected info: WsServerInfoType;
    constructor(info?: WsServerInfoType);
    private autoResolveConfilct;
    private handleAppSession;
    private findBenchmarkAndMergeCode;
    private fetchCalsDataByOriginHistoryId;
    private mergeCode;
    private handleCalsUpdated;
    private watchCodeChanged;
    private writeToFiles;
    private getProjectPath;
    private notifyCodeUpdated;
    private syncDTS;
    private oneWaySyncToLocal;
    listen(port?: number): void;
    close(): Promise<[unknown, void[][]]>;
    _closeServer(): Promise<unknown>;
    _closeWatches(): Promise<void[][]>;
}
export {};
//# sourceMappingURL=server.d.ts.map