import { LCDS } from '@cloudbase/cals';
import typia from 'typia';
interface IComponentConfig extends Omit<LCDS.IComponent, 'meta'> {
    /** json 补全提示可有可无 */
    $schema?: string;
    /** @deprecated no meant to be public */
    configMeta?: Partial<LCDS.IComponent['meta']> & {
        docsUrl?: `http://${string}` | `https://${string}`;
        shortcut?: {
            props?: string[];
            extra?: Record<'container', {
                'x-component': string;
                'x-component-props': string[];
                'x-index': number;
            }>;
        };
        /** @deprecated 没用了 */
        recommendTypes?: {
            name: unknown;
        };
        contextData?: unknown;
    };
    meta?: Omit<LCDS.IComponent['meta'], 'templates'> & {
        categoryOrder?: number;
        platforms: unknown;
        /** @deprecated 没用了 */
        recommendTypes?: {
            name: unknown;
        };
        selectableBlock?: {
            events: LCDS.IEvent[];
        };
        shortcut?: LCDS.IShortcut & {
            gridHotTemplates?: unknown[];
        };
        templates: Array<LCDS.ITemplate & {
            [k: `__${string}`]: any;
        }>;
    };
    /**
     * 本来不应该覆盖的，但是如果不覆盖在M1 tsc会爆栈。 如果他修了就去掉
     * https://github.com/nodejs/node/issues/41163
     */
    defaultStyles?: Record<string, string | number>;
    /**
     * 这个组件没有对应的 mp 实现 直接用原生的标签
     */
    mpOrigin?: string;
    items?: any;
}
export declare const check: (input: unknown) => typia.IValidation<IComponentConfig>;
export {};
//# sourceMappingURL=checker.d.ts.map