"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.check = void 0;
const typia_1 = __importDefault(require("typia"));
const check = (input) => {
    const errors = [];
    const __is = (input, _exceptionable = true) => {
        const $is_custom = typia_1.default.createValidateEquals.is_custom;
        const $join = typia_1.default.createValidateEquals.join;
        const $io0 = (input, _exceptionable = true) => (undefined === input.$schema || "string" === typeof input.$schema) && (undefined === input.configMeta || "object" === typeof input.configMeta && null !== input.configMeta && false === Array.isArray(input.configMeta) && $io1(input.configMeta, true && _exceptionable)) && (undefined === input.meta || "object" === typeof input.meta && null !== input.meta && $io33(input.meta, true && _exceptionable)) && (undefined === input.defaultStyles || "object" === typeof input.defaultStyles && null !== input.defaultStyles && false === Array.isArray(input.defaultStyles) && $io41(input.defaultStyles, true && _exceptionable)) && (undefined === input.mpOrigin || "string" === typeof input.mpOrigin) && true && (undefined === input.name || "string" === typeof input.name && 214 >= input.name.length && 1 <= input.name.length) && true && (undefined === input.events || Array.isArray(input.events) && $is_custom("default", "array", "[]", input.events) && input.events.every((elem, _index1) => "object" === typeof elem && null !== elem && $io36(elem, true && _exceptionable))) && (undefined === input.classes || Array.isArray(input.classes) && input.classes.every((elem, _index2) => "object" === typeof elem && null !== elem && $io42(elem, true && _exceptionable))) && true && (undefined === input.methods || Array.isArray(input.methods) && $is_custom("default", "array", "[]", input.methods) && input.methods.every((elem, _index3) => "object" === typeof elem && null !== elem && $io43(elem, true && _exceptionable))) && (undefined === input.compConfig || "object" === typeof input.compConfig && null !== input.compConfig && false === Array.isArray(input.compConfig) && $io44(input.compConfig, true && _exceptionable)) && (undefined === input.platforms || Array.isArray(input.platforms) && input.platforms.every((elem, _index4) => "string" === typeof elem)) && true && (undefined === input.isContainer || "boolean" === typeof input.isContainer) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["$schema", "configMeta", "meta", "defaultStyles", "mpOrigin", "items", "name", "data", "events", "classes", "properties", "methods", "compConfig", "platforms", "extra", "isContainer"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io1 = (input, _exceptionable = true) => (undefined === input.name || "string" === typeof input.name) && (undefined === input.componentName || "string" === typeof input.componentName) && (undefined === input.title || "string" === typeof input.title) && (undefined === input.description || "string" === typeof input.description) && (undefined === input.icon || "string" === typeof input.icon) && (undefined === input.figureIcon || "string" === typeof input.figureIcon) && (undefined === input.category || "string" === typeof input.category) && (undefined === input.componentOrder || "number" === typeof input.componentOrder && 1 <= input.componentOrder && 10000 >= input.componentOrder) && (undefined === input.platform || Array.isArray(input.platform) && input.platform.every((elem, _index5) => "WEB" === elem || "MOBILE" === elem || "MP" === elem || "PCWEB" === elem || "MOBILEWEB" === elem)) && (undefined === input.visible || Array.isArray(input.visible) && input.visible.every((elem, _index6) => "APP" === elem || "COMPONENT" === elem)) && (undefined === input.templates || Array.isArray(input.templates) && input.templates.every((elem, _index7) => "object" === typeof elem && null !== elem && false === Array.isArray(elem) && $io2(elem, true && _exceptionable))) && (undefined === input.deprecated || "boolean" === typeof input.deprecated) && (undefined === input.renderMode || Array.isArray(input.renderMode) && input.renderMode.every((elem, _index8) => "object" === typeof elem && null !== elem && $io3(elem, true && _exceptionable))) && (undefined === input.docsUrl || "string" === typeof input.docsUrl && (RegExp(/^http:\/\/(.*)/).test(input.docsUrl) || RegExp(/^https:\/\/(.*)/).test(input.docsUrl))) && (undefined === input.shortcut || "object" === typeof input.shortcut && null !== input.shortcut && false === Array.isArray(input.shortcut) && $io5(input.shortcut, true && _exceptionable)) && (undefined === input.contextData || "object" === typeof input.contextData && null !== input.contextData && false === Array.isArray(input.contextData) && $io9(input.contextData, true && _exceptionable)) && (undefined === input.positionConstraint || "object" === typeof input.positionConstraint && null !== input.positionConstraint && false === Array.isArray(input.positionConstraint) && $io10(input.positionConstraint, true && _exceptionable)) && (undefined === input.keyWords || Array.isArray(input.keyWords) && input.keyWords.every((elem, _index9) => "string" === typeof elem)) && (undefined === input.propertyPanelTips || "string" === typeof input.propertyPanelTips) && (undefined === input.stylePanelTips || "string" === typeof input.stylePanelTips) && (undefined === input.disableUpgradeAll || "boolean" === typeof input.disableUpgradeAll) && (undefined === input.validate || Array.isArray(input.validate) && input.validate.every((elem, _index10) => "object" === typeof elem && null !== elem && $io13(elem, true && _exceptionable))) && (undefined === input.inlineStyleForm || "object" === typeof input.inlineStyleForm && null !== input.inlineStyleForm && false === Array.isArray(input.inlineStyleForm) && $iu0(input.inlineStyleForm, true && _exceptionable)) && (undefined === input.group || "object" === typeof input.group && null !== input.group && false === Array.isArray(input.group) && $io19(input.group, true && _exceptionable)) && (undefined === input.previewImageUrl || "string" === typeof input.previewImageUrl) && (undefined === input.componentType || "string" === typeof input.componentType) && (undefined === input.previewOperation || "object" === typeof input.previewOperation && null !== input.previewOperation && $io21(input.previewOperation, true && _exceptionable)) && (undefined === input.queryGeneratorConfig || "object" === typeof input.queryGeneratorConfig && null !== input.queryGeneratorConfig && $io23(input.queryGeneratorConfig, true && _exceptionable)) && (undefined === input.globalConfig || "object" === typeof input.globalConfig && null !== input.globalConfig && false === Array.isArray(input.globalConfig) && $io31(input.globalConfig, true && _exceptionable)) && (undefined === input.recommendTypes || "object" === typeof input.recommendTypes && null !== input.recommendTypes && $io32(input.recommendTypes, true && _exceptionable)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name", "componentName", "title", "description", "icon", "figureIcon", "category", "componentOrder", "platform", "visible", "templates", "deprecated", "renderMode", "docsUrl", "shortcut", "contextData", "positionConstraint", "keyWords", "propertyPanelTips", "stylePanelTips", "disableUpgradeAll", "validate", "inlineStyleForm", "group", "previewImageUrl", "componentType", "previewOperation", "queryGeneratorConfig", "globalConfig", "recommendTypes"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io2 = (input, _exceptionable = true) => (undefined === input.to || "string" === typeof input.to) && (undefined === input.when || "string" === typeof input.when) && (undefined === input.body || "string" === typeof input.body) && (undefined === input.autoSelectPath || "string" === typeof input.autoSelectPath && RegExp(/^template(.*)/).test(input.autoSelectPath)) && (undefined === input.remain || "string" === typeof input.remain) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["to", "when", "body", "autoSelectPath", "remain"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io3 = (input, _exceptionable = true) => "string" === typeof input.component && ("update" === input.renderType || "replace" === input.renderType) && (undefined === input.props || "object" === typeof input.props && null !== input.props && false === Array.isArray(input.props) && $io4(input.props, true && _exceptionable)) && (undefined === input.materialName || "string" === typeof input.materialName) && (undefined === input.description || "string" === typeof input.description) && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["component", "renderType", "props", "materialName", "description"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io4 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "string" === typeof value;
            return false;
        });
        const $io5 = (input, _exceptionable = true) => (undefined === input.props || Array.isArray(input.props) && input.props.every((elem, _index11) => "string" === typeof elem)) && (undefined === input.extra || "object" === typeof input.extra && null !== input.extra && $io6(input.extra, true && _exceptionable)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["props", "extra"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io6 = (input, _exceptionable = true) => "object" === typeof input.container && null !== input.container && $io7(input.container, true && _exceptionable) && Object.keys(input).every(key => {
            if (["container"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "object" === typeof value && null !== value && $io8(value, true && _exceptionable);
            return false;
        });
        const $io7 = (input, _exceptionable = true) => "string" === typeof input["x-component"] && (Array.isArray(input["x-component-props"]) && input["x-component-props"].every((elem, _index12) => "string" === typeof elem)) && "number" === typeof input["x-index"] && (3 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["x-component", "x-component-props", "x-index"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io8 = (input, _exceptionable = true) => "container" === input["x-component"] && (undefined === input["x-component-props"] || Array.isArray(input["x-component-props"]) && input["x-component-props"].every((elem, _index13) => "string" === typeof elem)) && (undefined === input["x-index"] || "number" === typeof input["x-index"]) && (undefined === input["x-insert-path"] || "string" === typeof input["x-insert-path"]) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["x-component", "x-component-props", "x-index", "x-insert-path"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io9 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io10 = (input, _exceptionable = true) => (undefined === input.allowChildren || Array.isArray(input.allowChildren) && input.allowChildren.every((elem, _index14) => "object" === typeof elem && null !== elem && $io11(elem, true && _exceptionable))) && (undefined === input.allowParent || Array.isArray(input.allowParent) && input.allowParent.every((elem, _index15) => "object" === typeof elem && null !== elem && $io12(elem, true && _exceptionable))) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["allowChildren", "allowParent"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io11 = (input, _exceptionable = true) => "string" === typeof input.componentType && (undefined === input.recursive || "boolean" === typeof input.recursive) && (undefined === input.tip || "string" === typeof input.tip) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["componentType", "recursive", "tip"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io12 = (input, _exceptionable = true) => "string" === typeof input.componentType && "boolean" === typeof input.recursive && (undefined === input.tip || "string" === typeof input.tip) && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["componentType", "recursive", "tip"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io13 = (input, _exceptionable = true) => "string" === typeof input.rule && (undefined === input.options || "object" === typeof input.options && null !== input.options && $io14(input.options, true && _exceptionable)) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["rule", "options"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io14 = (input, _exceptionable = true) => "string" === typeof input.title && "string" === typeof input.description && "string" === typeof input.type && (undefined === input.name || "string" === typeof input.name) && (undefined === input.label || "string" === typeof input.label) && (undefined === input.tooltip || "string" === typeof input.tooltip) && (undefined === input.version || "string" === typeof input.version) && (undefined === input.allowFailure || "boolean" === typeof input.allowFailure) && (undefined === input.matchedSelectedPlatform || Array.isArray(input.matchedSelectedPlatform) && input.matchedSelectedPlatform.every((elem, _index16) => "h5" === elem || "miniprogram" === elem || "pc" === elem)) && (undefined === input.matchedPublishedPlatform || Array.isArray(input.matchedPublishedPlatform) && input.matchedPublishedPlatform.every((elem, _index17) => "miniprogram" === elem || "web" === elem || "all" === elem)) && true && (undefined === input.action || "object" === typeof input.action && null !== input.action && false === Array.isArray(input.action) && $io15(input.action, true && _exceptionable)) && Object.keys(input).every(key => {
            if (["title", "description", "type", "name", "label", "tooltip", "version", "allowFailure", "matchedSelectedPlatform", "matchedPublishedPlatform", "extra", "action"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io15 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io16 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return null !== value && undefined !== value && ("boolean" === typeof value || "object" === typeof value && null !== value && $io17(value, true && _exceptionable));
            return false;
        });
        const $io17 = (input, _exceptionable = true) => "boolean" === typeof input.visible && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["visible"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io18 = (input, _exceptionable = true) => true === input.$blockedAll && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["$blockedAll"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io19 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "object" === typeof value && null !== value && $io20(value, true && _exceptionable);
            return false;
        });
        const $io20 = (input, _exceptionable = true) => "number" === typeof input["x-index"] && "boolean" === typeof input.expand && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["x-index", "expand"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io21 = (input, _exceptionable = true) => (undefined === input.headerIcon || "string" === typeof input.headerIcon) && (Array.isArray(input.operation) && input.operation.every((elem, _index18) => "object" === typeof elem && null !== elem && $io22(elem, true && _exceptionable))) && (undefined === input.previewSlotName || "string" === typeof input.previewSlotName) && (undefined === input.insertSlotName || "string" === typeof input.insertSlotName) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["headerIcon", "operation", "previewSlotName", "insertSlotName"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io22 = (input, _exceptionable = true) => "string" === typeof input.icon && "string" === typeof input.title && "string" === typeof input.action && (3 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["icon", "title", "action"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io23 = (input, _exceptionable = true) => "object" === typeof input.sceneConfig && null !== input.sceneConfig && $io24(input.sceneConfig, true && _exceptionable) && (undefined === input.fieldsConfig || "object" === typeof input.fieldsConfig && null !== input.fieldsConfig && false === Array.isArray(input.fieldsConfig) && $io25(input.fieldsConfig, true && _exceptionable)) && (undefined === input.apisConfig || "object" === typeof input.apisConfig && null !== input.apisConfig && $io26(input.apisConfig, true && _exceptionable)) && (undefined === input.mysqlConfig || "object" === typeof input.mysqlConfig && null !== input.mysqlConfig && false === Array.isArray(input.mysqlConfig) && $io27(input.mysqlConfig, true && _exceptionable)) && (undefined === input.bindParamsPath || "object" === typeof input.bindParamsPath && null !== input.bindParamsPath && false === Array.isArray(input.bindParamsPath) && $io28(input.bindParamsPath, true && _exceptionable)) && (undefined === input.quickOperateButton || Array.isArray(input.quickOperateButton) && input.quickOperateButton.every((elem, _index19) => "object" === typeof elem && null !== elem && $io30(elem, true && _exceptionable))) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["sceneConfig", "fieldsConfig", "apisConfig", "mysqlConfig", "bindParamsPath", "quickOperateButton"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io24 = (input, _exceptionable = true) => Array.isArray(input.scenes) && input.scenes.every((elem, _index20) => "update" === elem || "batchCreate" === elem || "batchSelect" === elem || "batchDelete" === elem || "create" === elem || "select" === elem) && (Array.isArray(input.availableScenes) && input.availableScenes.every((elem, _index21) => "update" === elem || "batchCreate" === elem || "batchSelect" === elem || "batchDelete" === elem || "create" === elem || "select" === elem)) && (Array.isArray(input.validCombinations) && input.validCombinations.every((elem, _index22) => Array.isArray(elem) && elem.every((elem, _index23) => "update" === elem || "batchCreate" === elem || "batchSelect" === elem || "batchDelete" === elem || "create" === elem || "select" === elem))) && (undefined === input.enableSelectMultiple || "boolean" === typeof input.enableSelectMultiple) && (3 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["scenes", "availableScenes", "validCombinations", "enableSelectMultiple"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io25 = (input, _exceptionable = true) => (undefined === input.enableConfigFormat || "boolean" === typeof input.enableConfigFormat) && (undefined === input.showFieldTypeColumn || "boolean" === typeof input.showFieldTypeColumn) && (undefined === input.enableSelectFieldFormType || "boolean" === typeof input.enableSelectFieldFormType) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["enableConfigFormat", "showFieldTypeColumn", "enableSelectFieldFormType"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io26 = (input, _exceptionable = true) => "boolean" === typeof input.enableConfigRecordAndTotalKey && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["enableConfigRecordAndTotalKey"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io27 = (input, _exceptionable = true) => (undefined === input.autoGenerateCountQuery || "boolean" === typeof input.autoGenerateCountQuery) && (undefined === input.countName || "string" === typeof input.countName) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["autoGenerateCountQuery", "countName"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io28 = (input, _exceptionable = true) => (undefined === input.update || "object" === typeof input.update && null !== input.update && false === Array.isArray(input.update) && $io29(input.update, true && _exceptionable)) && (undefined === input.batchCreate || "object" === typeof input.batchCreate && null !== input.batchCreate && false === Array.isArray(input.batchCreate) && $io29(input.batchCreate, true && _exceptionable)) && (undefined === input.batchSelect || "object" === typeof input.batchSelect && null !== input.batchSelect && false === Array.isArray(input.batchSelect) && $io29(input.batchSelect, true && _exceptionable)) && (undefined === input.batchDelete || "object" === typeof input.batchDelete && null !== input.batchDelete && false === Array.isArray(input.batchDelete) && $io29(input.batchDelete, true && _exceptionable)) && (undefined === input.create || "object" === typeof input.create && null !== input.create && false === Array.isArray(input.create) && $io29(input.create, true && _exceptionable)) && (undefined === input.select || "object" === typeof input.select && null !== input.select && false === Array.isArray(input.select) && $io29(input.select, true && _exceptionable)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["update", "batchCreate", "batchSelect", "batchDelete", "create", "select"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io29 = (input, _exceptionable = true) => (undefined === input.condition || "string" === typeof input.condition) && (undefined === input.value || "string" === typeof input.value) && (undefined === input.limit || "string" === typeof input.limit) && (undefined === input.offset || "string" === typeof input.offset) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["condition", "value", "limit", "offset"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io30 = (input, _exceptionable = true) => "string" === typeof input.icon && "string" === typeof input.targetField && "string" === typeof input.content && (3 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["icon", "targetField", "content"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io31 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io32 = (input, _exceptionable = true) => true && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io33 = (input, _exceptionable = true) => (undefined === input.categoryOrder || "number" === typeof input.categoryOrder) && true && (undefined === input.recommendTypes || "object" === typeof input.recommendTypes && null !== input.recommendTypes && $io34(input.recommendTypes, true && _exceptionable)) && (undefined === input.selectableBlock || "object" === typeof input.selectableBlock && null !== input.selectableBlock && $io35(input.selectableBlock, true && _exceptionable)) && (undefined === input.shortcut || "object" === typeof input.shortcut && null !== input.shortcut && false === Array.isArray(input.shortcut) && $io38(input.shortcut, true && _exceptionable)) && (Array.isArray(input.templates) && input.templates.every((elem, _index24) => "object" === typeof elem && null !== elem && false === Array.isArray(elem) && $io40(elem, true && _exceptionable))) && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["categoryOrder", "platforms", "recommendTypes", "selectableBlock", "shortcut", "templates"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io34 = (input, _exceptionable = true) => true && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io35 = (input, _exceptionable = true) => Array.isArray(input.events) && input.events.every((elem, _index25) => "object" === typeof elem && null !== elem && $io36(elem, true && _exceptionable)) && (1 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["events"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io36 = (input, _exceptionable = true) => "string" === typeof input.name && "string" === typeof input.title && (undefined === input.description || "string" === typeof input.description) && (undefined === input["x-platforms"] || Array.isArray(input["x-platforms"]) && input["x-platforms"].every((elem, _index26) => "WEB" === elem || "MOBILE" === elem || "MP" === elem || "PCWEB" === elem || "MOBILEWEB" === elem)) && (undefined === input.detail || "object" === typeof input.detail && null !== input.detail && false === Array.isArray(input.detail) && $io37(input.detail, true && _exceptionable)) && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name", "title", "description", "x-platforms", "detail"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io37 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return true;
            return false;
        });
        const $io38 = (input, _exceptionable = true) => (undefined === input.props || Array.isArray(input.props) && input.props.every((elem, _index27) => "string" === typeof elem)) && (undefined === input.extra || "object" === typeof input.extra && null !== input.extra && false === Array.isArray(input.extra) && $io39(input.extra, true && _exceptionable)) && (undefined === input.gridHotTemplates || Array.isArray(input.gridHotTemplates)) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["props", "extra", "gridHotTemplates"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io39 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "object" === typeof value && null !== value && $io8(value, true && _exceptionable);
            return false;
        });
        const $io40 = (input, _exceptionable = true) => (undefined === input.to || "string" === typeof input.to) && (undefined === input.when || "string" === typeof input.when) && (undefined === input.body || "string" === typeof input.body) && (undefined === input.autoSelectPath || "string" === typeof input.autoSelectPath && RegExp(/^template(.*)/).test(input.autoSelectPath)) && (undefined === input.remain || "string" === typeof input.remain) && Object.keys(input).every(key => {
            if (["to", "when", "body", "autoSelectPath", "remain"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/^(__(.*))/).test(key))
                return true;
            return false;
        });
        const $io41 = (input, _exceptionable = true) => Object.keys(input).every(key => {
            const value = input[key];
            if (undefined === value)
                return true;
            if (RegExp(/(.*)/).test(key))
                return "string" === typeof value || "number" === typeof value;
            return false;
        });
        const $io42 = (input, _exceptionable = true) => "string" === typeof input.name && "string" === typeof input.selector && (undefined === input.code || "string" === typeof input.code) && (undefined === input.description || "string" === typeof input.description) && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name", "selector", "code", "description"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io43 = (input, _exceptionable = true) => "string" === typeof input.name && "string" === typeof input.label && true && (undefined === input["x-platforms"] || Array.isArray(input["x-platforms"]) && input["x-platforms"].every((elem, _index28) => "string" === typeof elem)) && (undefined === input.description || "string" === typeof input.description) && (2 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["name", "label", "params", "x-platforms", "description"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $io44 = (input, _exceptionable = true) => (undefined === input.isDataContainer || "boolean" === typeof input.isDataContainer) && (undefined === input.componentType || "string" === typeof input.componentType) && (0 === Object.keys(input).length || Object.keys(input).every(key => {
            if (["isDataContainer", "componentType"].some(prop => key === prop))
                return true;
            const value = input[key];
            if (undefined === value)
                return true;
            return false;
        }));
        const $iu0 = (input, _exceptionable = true) => (() => {
            if (undefined !== input.$blockedAll)
                return $io18(input, true && _exceptionable);
            return $io16(input, true && _exceptionable);
        })();
        return "object" === typeof input && null !== input && false === Array.isArray(input) && $io0(input, true);
    };
    if (false === __is(input)) {
        const $report = typia_1.default.createValidateEquals.report(errors);
        ((input, _path, _exceptionable = true) => {
            const $is_custom = typia_1.default.createValidateEquals.is_custom;
            const $join = typia_1.default.createValidateEquals.join;
            const $vo0 = (input, _path, _exceptionable = true) => [undefined === input.$schema || "string" === typeof input.$schema || $report(_exceptionable, {
                    path: _path + ".$schema",
                    expected: "(string | undefined)",
                    value: input.$schema
                }), undefined === input.configMeta || ("object" === typeof input.configMeta && null !== input.configMeta && false === Array.isArray(input.configMeta) || $report(_exceptionable, {
                    path: _path + ".configMeta",
                    expected: "(Partial<{ name?: string | undefined; componentName?: string | undefined; title?: string | undefined; description?: string | undefined; icon?: string | undefined; figureIcon?: string | undefined; ... 22 more ...; globalConfig?: { ...; } | undefined; }> & { ...; } | undefined)",
                    value: input.configMeta
                })) && $vo1(input.configMeta, _path + ".configMeta", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".configMeta",
                    expected: "(Partial<{ name?: string | undefined; componentName?: string | undefined; title?: string | undefined; description?: string | undefined; icon?: string | undefined; figureIcon?: string | undefined; ... 22 more ...; globalConfig?: { ...; } | undefined; }> & { ...; } | undefined)",
                    value: input.configMeta
                }), undefined === input.meta || ("object" === typeof input.meta && null !== input.meta || $report(_exceptionable, {
                    path: _path + ".meta",
                    expected: "(Omit<{ name?: string | undefined; componentName?: string | undefined; title?: string | undefined; description?: string | undefined; icon?: string | undefined; figureIcon?: string | undefined; ... 22 more ...; globalConfig?: { ...; } | undefined; } | undefined, \"templates\"> & { ...; } | undefined)",
                    value: input.meta
                })) && $vo33(input.meta, _path + ".meta", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".meta",
                    expected: "(Omit<{ name?: string | undefined; componentName?: string | undefined; title?: string | undefined; description?: string | undefined; icon?: string | undefined; figureIcon?: string | undefined; ... 22 more ...; globalConfig?: { ...; } | undefined; } | undefined, \"templates\"> & { ...; } | undefined)",
                    value: input.meta
                }), undefined === input.defaultStyles || ("object" === typeof input.defaultStyles && null !== input.defaultStyles && false === Array.isArray(input.defaultStyles) || $report(_exceptionable, {
                    path: _path + ".defaultStyles",
                    expected: "(Record<string, string | number> | undefined)",
                    value: input.defaultStyles
                })) && $vo41(input.defaultStyles, _path + ".defaultStyles", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".defaultStyles",
                    expected: "(Record<string, string | number> | undefined)",
                    value: input.defaultStyles
                }), undefined === input.mpOrigin || "string" === typeof input.mpOrigin || $report(_exceptionable, {
                    path: _path + ".mpOrigin",
                    expected: "(string | undefined)",
                    value: input.mpOrigin
                }), true, undefined === input.name || "string" === typeof input.name && (214 >= input.name.length || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "string (@maxLength 214)",
                    value: input.name
                })) && (1 <= input.name.length || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "string (@minLength 1)",
                    value: input.name
                })) || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "(string | undefined)",
                    value: input.name
                }), true, undefined === input.events || (Array.isArray(input.events) && ($is_custom("default", "array", "[]", input.events) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "Array (@default [])",
                    value: input.events
                })) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "(Array<IEvent> | undefined)",
                    value: input.events
                })) && input.events.map((elem, _index1) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".events[" + _index1 + "]",
                    expected: "IEvent",
                    value: elem
                })) && $vo36(elem, _path + ".events[" + _index1 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".events[" + _index1 + "]",
                    expected: "IEvent",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "(Array<IEvent> | undefined)",
                    value: input.events
                }), undefined === input.classes || (Array.isArray(input.classes) || $report(_exceptionable, {
                    path: _path + ".classes",
                    expected: "(Array<IClasses> | undefined)",
                    value: input.classes
                })) && input.classes.map((elem, _index2) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".classes[" + _index2 + "]",
                    expected: "IClasses",
                    value: elem
                })) && $vo42(elem, _path + ".classes[" + _index2 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".classes[" + _index2 + "]",
                    expected: "IClasses",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".classes",
                    expected: "(Array<IClasses> | undefined)",
                    value: input.classes
                }), true, undefined === input.methods || (Array.isArray(input.methods) && ($is_custom("default", "array", "[]", input.methods) || $report(_exceptionable, {
                    path: _path + ".methods",
                    expected: "Array (@default [])",
                    value: input.methods
                })) || $report(_exceptionable, {
                    path: _path + ".methods",
                    expected: "(Array<IMethod> | undefined)",
                    value: input.methods
                })) && input.methods.map((elem, _index3) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".methods[" + _index3 + "]",
                    expected: "IMethod",
                    value: elem
                })) && $vo43(elem, _path + ".methods[" + _index3 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".methods[" + _index3 + "]",
                    expected: "IMethod",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".methods",
                    expected: "(Array<IMethod> | undefined)",
                    value: input.methods
                }), undefined === input.compConfig || ("object" === typeof input.compConfig && null !== input.compConfig && false === Array.isArray(input.compConfig) || $report(_exceptionable, {
                    path: _path + ".compConfig",
                    expected: "(__type.o29 | undefined)",
                    value: input.compConfig
                })) && $vo44(input.compConfig, _path + ".compConfig", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".compConfig",
                    expected: "(__type.o29 | undefined)",
                    value: input.compConfig
                }), undefined === input.platforms || (Array.isArray(input.platforms) || $report(_exceptionable, {
                    path: _path + ".platforms",
                    expected: "(Array<string> | undefined)",
                    value: input.platforms
                })) && input.platforms.map((elem, _index4) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + ".platforms[" + _index4 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".platforms",
                    expected: "(Array<string> | undefined)",
                    value: input.platforms
                }), true, undefined === input.isContainer || "boolean" === typeof input.isContainer || $report(_exceptionable, {
                    path: _path + ".isContainer",
                    expected: "(boolean | undefined)",
                    value: input.isContainer
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["$schema", "configMeta", "meta", "defaultStyles", "mpOrigin", "items", "name", "data", "events", "classes", "properties", "methods", "compConfig", "platforms", "extra", "isContainer"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo1 = (input, _path, _exceptionable = true) => [undefined === input.name || "string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "(string | undefined)",
                    value: input.name
                }), undefined === input.componentName || "string" === typeof input.componentName || $report(_exceptionable, {
                    path: _path + ".componentName",
                    expected: "(string | undefined)",
                    value: input.componentName
                }), undefined === input.title || "string" === typeof input.title || $report(_exceptionable, {
                    path: _path + ".title",
                    expected: "(string | undefined)",
                    value: input.title
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), undefined === input.icon || "string" === typeof input.icon || $report(_exceptionable, {
                    path: _path + ".icon",
                    expected: "(string | undefined)",
                    value: input.icon
                }), undefined === input.figureIcon || "string" === typeof input.figureIcon || $report(_exceptionable, {
                    path: _path + ".figureIcon",
                    expected: "(string | undefined)",
                    value: input.figureIcon
                }), undefined === input.category || "string" === typeof input.category || $report(_exceptionable, {
                    path: _path + ".category",
                    expected: "(string | undefined)",
                    value: input.category
                }), undefined === input.componentOrder || "number" === typeof input.componentOrder && (1 <= input.componentOrder || $report(_exceptionable, {
                    path: _path + ".componentOrder",
                    expected: "number (@minimum 1)",
                    value: input.componentOrder
                })) && (10000 >= input.componentOrder || $report(_exceptionable, {
                    path: _path + ".componentOrder",
                    expected: "number (@maximum 10000)",
                    value: input.componentOrder
                })) || $report(_exceptionable, {
                    path: _path + ".componentOrder",
                    expected: "(number | undefined)",
                    value: input.componentOrder
                }), undefined === input.platform || (Array.isArray(input.platform) || $report(_exceptionable, {
                    path: _path + ".platform",
                    expected: "(Array<\"WEB\" | \"MOBILE\" | \"MP\" | \"PCWEB\" | \"MOBILEWEB\"> | undefined)",
                    value: input.platform
                })) && input.platform.map((elem, _index5) => "WEB" === elem || "MOBILE" === elem || "MP" === elem || "PCWEB" === elem || "MOBILEWEB" === elem || $report(_exceptionable, {
                    path: _path + ".platform[" + _index5 + "]",
                    expected: "(\"MOBILE\" | \"MOBILEWEB\" | \"MP\" | \"PCWEB\" | \"WEB\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".platform",
                    expected: "(Array<\"WEB\" | \"MOBILE\" | \"MP\" | \"PCWEB\" | \"MOBILEWEB\"> | undefined)",
                    value: input.platform
                }), undefined === input.visible || (Array.isArray(input.visible) || $report(_exceptionable, {
                    path: _path + ".visible",
                    expected: "(Array<VisibleItem> | undefined)",
                    value: input.visible
                })) && input.visible.map((elem, _index6) => "APP" === elem || "COMPONENT" === elem || $report(_exceptionable, {
                    path: _path + ".visible[" + _index6 + "]",
                    expected: "(\"APP\" | \"COMPONENT\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".visible",
                    expected: "(Array<VisibleItem> | undefined)",
                    value: input.visible
                }), undefined === input.templates || (Array.isArray(input.templates) || $report(_exceptionable, {
                    path: _path + ".templates",
                    expected: "(Array<ITemplate> | undefined)",
                    value: input.templates
                })) && input.templates.map((elem, _index7) => ("object" === typeof elem && null !== elem && false === Array.isArray(elem) || $report(_exceptionable, {
                    path: _path + ".templates[" + _index7 + "]",
                    expected: "ITemplate",
                    value: elem
                })) && $vo2(elem, _path + ".templates[" + _index7 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".templates[" + _index7 + "]",
                    expected: "ITemplate",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".templates",
                    expected: "(Array<ITemplate> | undefined)",
                    value: input.templates
                }), undefined === input.deprecated || "boolean" === typeof input.deprecated || $report(_exceptionable, {
                    path: _path + ".deprecated",
                    expected: "(boolean | undefined)",
                    value: input.deprecated
                }), undefined === input.renderMode || (Array.isArray(input.renderMode) || $report(_exceptionable, {
                    path: _path + ".renderMode",
                    expected: "(Array<IRenderMode> | undefined)",
                    value: input.renderMode
                })) && input.renderMode.map((elem, _index8) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".renderMode[" + _index8 + "]",
                    expected: "IRenderMode",
                    value: elem
                })) && $vo3(elem, _path + ".renderMode[" + _index8 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".renderMode[" + _index8 + "]",
                    expected: "IRenderMode",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".renderMode",
                    expected: "(Array<IRenderMode> | undefined)",
                    value: input.renderMode
                }), undefined === input.docsUrl || "string" === typeof input.docsUrl && (RegExp(/^http:\/\/(.*)/).test(input.docsUrl) || RegExp(/^https:\/\/(.*)/).test(input.docsUrl)) || $report(_exceptionable, {
                    path: _path + ".docsUrl",
                    expected: "(`http://${string}` | `https://${string}` | undefined)",
                    value: input.docsUrl
                }), undefined === input.shortcut || ("object" === typeof input.shortcut && null !== input.shortcut && false === Array.isArray(input.shortcut) || $report(_exceptionable, {
                    path: _path + ".shortcut",
                    expected: "(IShortcut & { props?: string[] | undefined; extra?: Record<\"container\", { 'x-component': string; 'x-component-props': string[]; 'x-index': number; }> | undefined; } | undefined)",
                    value: input.shortcut
                })) && $vo5(input.shortcut, _path + ".shortcut", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".shortcut",
                    expected: "(IShortcut & { props?: string[] | undefined; extra?: Record<\"container\", { 'x-component': string; 'x-component-props': string[]; 'x-index': number; }> | undefined; } | undefined)",
                    value: input.shortcut
                }), undefined === input.contextData || ("object" === typeof input.contextData && null !== input.contextData && false === Array.isArray(input.contextData) || $report(_exceptionable, {
                    path: _path + ".contextData",
                    expected: "(__type.o3 | undefined)",
                    value: input.contextData
                })) && $vo9(input.contextData, _path + ".contextData", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".contextData",
                    expected: "(__type.o3 | undefined)",
                    value: input.contextData
                }), undefined === input.positionConstraint || ("object" === typeof input.positionConstraint && null !== input.positionConstraint && false === Array.isArray(input.positionConstraint) || $report(_exceptionable, {
                    path: _path + ".positionConstraint",
                    expected: "(__type.o4 | undefined)",
                    value: input.positionConstraint
                })) && $vo10(input.positionConstraint, _path + ".positionConstraint", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".positionConstraint",
                    expected: "(__type.o4 | undefined)",
                    value: input.positionConstraint
                }), undefined === input.keyWords || (Array.isArray(input.keyWords) || $report(_exceptionable, {
                    path: _path + ".keyWords",
                    expected: "(Array<string> | undefined)",
                    value: input.keyWords
                })) && input.keyWords.map((elem, _index9) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + ".keyWords[" + _index9 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".keyWords",
                    expected: "(Array<string> | undefined)",
                    value: input.keyWords
                }), undefined === input.propertyPanelTips || "string" === typeof input.propertyPanelTips || $report(_exceptionable, {
                    path: _path + ".propertyPanelTips",
                    expected: "(string | undefined)",
                    value: input.propertyPanelTips
                }), undefined === input.stylePanelTips || "string" === typeof input.stylePanelTips || $report(_exceptionable, {
                    path: _path + ".stylePanelTips",
                    expected: "(string | undefined)",
                    value: input.stylePanelTips
                }), undefined === input.disableUpgradeAll || "boolean" === typeof input.disableUpgradeAll || $report(_exceptionable, {
                    path: _path + ".disableUpgradeAll",
                    expected: "(boolean | undefined)",
                    value: input.disableUpgradeAll
                }), undefined === input.validate || (Array.isArray(input.validate) || $report(_exceptionable, {
                    path: _path + ".validate",
                    expected: "(Array<__type>.o2 | undefined)",
                    value: input.validate
                })) && input.validate.map((elem, _index10) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".validate[" + _index10 + "]",
                    expected: "__type.o7",
                    value: elem
                })) && $vo13(elem, _path + ".validate[" + _index10 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".validate[" + _index10 + "]",
                    expected: "__type.o7",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".validate",
                    expected: "(Array<__type>.o2 | undefined)",
                    value: input.validate
                }), undefined === input.inlineStyleForm || ("object" === typeof input.inlineStyleForm && null !== input.inlineStyleForm && false === Array.isArray(input.inlineStyleForm) || $report(_exceptionable, {
                    path: _path + ".inlineStyleForm",
                    expected: "(__type.o10 | __type.o12 | undefined)",
                    value: input.inlineStyleForm
                })) && $vu0(input.inlineStyleForm, _path + ".inlineStyleForm", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".inlineStyleForm",
                    expected: "(__type.o10 | __type.o12 | undefined)",
                    value: input.inlineStyleForm
                }), undefined === input.group || ("object" === typeof input.group && null !== input.group && false === Array.isArray(input.group) || $report(_exceptionable, {
                    path: _path + ".group",
                    expected: "(__type.o13 | undefined)",
                    value: input.group
                })) && $vo19(input.group, _path + ".group", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".group",
                    expected: "(__type.o13 | undefined)",
                    value: input.group
                }), undefined === input.previewImageUrl || "string" === typeof input.previewImageUrl || $report(_exceptionable, {
                    path: _path + ".previewImageUrl",
                    expected: "(string | undefined)",
                    value: input.previewImageUrl
                }), undefined === input.componentType || "string" === typeof input.componentType || $report(_exceptionable, {
                    path: _path + ".componentType",
                    expected: "(string | undefined)",
                    value: input.componentType
                }), undefined === input.previewOperation || ("object" === typeof input.previewOperation && null !== input.previewOperation || $report(_exceptionable, {
                    path: _path + ".previewOperation",
                    expected: "(__type.o15 | undefined)",
                    value: input.previewOperation
                })) && $vo21(input.previewOperation, _path + ".previewOperation", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".previewOperation",
                    expected: "(__type.o15 | undefined)",
                    value: input.previewOperation
                }), undefined === input.queryGeneratorConfig || ("object" === typeof input.queryGeneratorConfig && null !== input.queryGeneratorConfig || $report(_exceptionable, {
                    path: _path + ".queryGeneratorConfig",
                    expected: "(__type.o17 | undefined)",
                    value: input.queryGeneratorConfig
                })) && $vo23(input.queryGeneratorConfig, _path + ".queryGeneratorConfig", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".queryGeneratorConfig",
                    expected: "(__type.o17 | undefined)",
                    value: input.queryGeneratorConfig
                }), undefined === input.globalConfig || ("object" === typeof input.globalConfig && null !== input.globalConfig && false === Array.isArray(input.globalConfig) || $report(_exceptionable, {
                    path: _path + ".globalConfig",
                    expected: "(__type.o23 | undefined)",
                    value: input.globalConfig
                })) && $vo31(input.globalConfig, _path + ".globalConfig", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".globalConfig",
                    expected: "(__type.o23 | undefined)",
                    value: input.globalConfig
                }), undefined === input.recommendTypes || ("object" === typeof input.recommendTypes && null !== input.recommendTypes || $report(_exceptionable, {
                    path: _path + ".recommendTypes",
                    expected: "(__type.o24 | undefined)",
                    value: input.recommendTypes
                })) && $vo32(input.recommendTypes, _path + ".recommendTypes", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".recommendTypes",
                    expected: "(__type.o24 | undefined)",
                    value: input.recommendTypes
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name", "componentName", "title", "description", "icon", "figureIcon", "category", "componentOrder", "platform", "visible", "templates", "deprecated", "renderMode", "docsUrl", "shortcut", "contextData", "positionConstraint", "keyWords", "propertyPanelTips", "stylePanelTips", "disableUpgradeAll", "validate", "inlineStyleForm", "group", "previewImageUrl", "componentType", "previewOperation", "queryGeneratorConfig", "globalConfig", "recommendTypes"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo2 = (input, _path, _exceptionable = true) => [undefined === input.to || "string" === typeof input.to || $report(_exceptionable, {
                    path: _path + ".to",
                    expected: "(string | undefined)",
                    value: input.to
                }), undefined === input.when || "string" === typeof input.when || $report(_exceptionable, {
                    path: _path + ".when",
                    expected: "(string | undefined)",
                    value: input.when
                }), undefined === input.body || "string" === typeof input.body || $report(_exceptionable, {
                    path: _path + ".body",
                    expected: "(string | undefined)",
                    value: input.body
                }), undefined === input.autoSelectPath || "string" === typeof input.autoSelectPath && RegExp(/^template(.*)/).test(input.autoSelectPath) || $report(_exceptionable, {
                    path: _path + ".autoSelectPath",
                    expected: "(`template${string}` | undefined)",
                    value: input.autoSelectPath
                }), undefined === input.remain || "string" === typeof input.remain || $report(_exceptionable, {
                    path: _path + ".remain",
                    expected: "(string | undefined)",
                    value: input.remain
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["to", "when", "body", "autoSelectPath", "remain"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo3 = (input, _path, _exceptionable = true) => ["string" === typeof input.component || $report(_exceptionable, {
                    path: _path + ".component",
                    expected: "string",
                    value: input.component
                }), "update" === input.renderType || "replace" === input.renderType || $report(_exceptionable, {
                    path: _path + ".renderType",
                    expected: "(\"replace\" | \"update\")",
                    value: input.renderType
                }), undefined === input.props || ("object" === typeof input.props && null !== input.props && false === Array.isArray(input.props) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(__type | undefined)",
                    value: input.props
                })) && $vo4(input.props, _path + ".props", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(__type | undefined)",
                    value: input.props
                }), undefined === input.materialName || "string" === typeof input.materialName || $report(_exceptionable, {
                    path: _path + ".materialName",
                    expected: "(string | undefined)",
                    value: input.materialName
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["component", "renderType", "props", "materialName", "description"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo4 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return "string" === typeof value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "string",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo5 = (input, _path, _exceptionable = true) => [undefined === input.props || (Array.isArray(input.props) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(Array<string> | undefined)",
                    value: input.props
                })) && input.props.map((elem, _index11) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + ".props[" + _index11 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(Array<string> | undefined)",
                    value: input.props
                }), undefined === input.extra || ("object" === typeof input.extra && null !== input.extra || $report(_exceptionable, {
                    path: _path + ".extra",
                    expected: "(undefined | { [key: string]: { 'x-component': \"container\"; 'x-component-props'?: string[] | undefined; 'x-index'?: number | undefined; 'x-insert-path'?: string | undefined; }; } & Record<\"container\", { 'x-component': string; 'x-component-props': string[]; 'x-index': number; }>)",
                    value: input.extra
                })) && $vo6(input.extra, _path + ".extra", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".extra",
                    expected: "(undefined | { [key: string]: { 'x-component': \"container\"; 'x-component-props'?: string[] | undefined; 'x-index'?: number | undefined; 'x-insert-path'?: string | undefined; }; } & Record<\"container\", { 'x-component': string; 'x-component-props': string[]; 'x-index': number; }>)",
                    value: input.extra
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["props", "extra"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo6 = (input, _path, _exceptionable = true) => [("object" === typeof input.container && null !== input.container || $report(_exceptionable, {
                    path: _path + ".container",
                    expected: "__type.o1",
                    value: input.container
                })) && $vo7(input.container, _path + ".container", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".container",
                    expected: "__type.o1",
                    value: input.container
                }), false === _exceptionable || Object.keys(input).map(key => {
                    if (["container"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return ("object" === typeof value && null !== value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o2",
                            value: value
                        })) && $vo8(value, _path + $join(key), true && _exceptionable) || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o2",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo7 = (input, _path, _exceptionable = true) => ["string" === typeof input["x-component"] || $report(_exceptionable, {
                    path: _path + "[\"x-component\"]",
                    expected: "string",
                    value: input["x-component"]
                }), (Array.isArray(input["x-component-props"]) || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"]",
                    expected: "Array<string>",
                    value: input["x-component-props"]
                })) && input["x-component-props"].map((elem, _index12) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"][" + _index12 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"]",
                    expected: "Array<string>",
                    value: input["x-component-props"]
                }), "number" === typeof input["x-index"] || $report(_exceptionable, {
                    path: _path + "[\"x-index\"]",
                    expected: "number",
                    value: input["x-index"]
                }), 3 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["x-component", "x-component-props", "x-index"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo8 = (input, _path, _exceptionable = true) => ["container" === input["x-component"] || $report(_exceptionable, {
                    path: _path + "[\"x-component\"]",
                    expected: "\"container\"",
                    value: input["x-component"]
                }), undefined === input["x-component-props"] || (Array.isArray(input["x-component-props"]) || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"]",
                    expected: "(Array<string> | undefined)",
                    value: input["x-component-props"]
                })) && input["x-component-props"].map((elem, _index13) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"][" + _index13 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + "[\"x-component-props\"]",
                    expected: "(Array<string> | undefined)",
                    value: input["x-component-props"]
                }), undefined === input["x-index"] || "number" === typeof input["x-index"] || $report(_exceptionable, {
                    path: _path + "[\"x-index\"]",
                    expected: "(number | undefined)",
                    value: input["x-index"]
                }), undefined === input["x-insert-path"] || "string" === typeof input["x-insert-path"] || $report(_exceptionable, {
                    path: _path + "[\"x-insert-path\"]",
                    expected: "(string | undefined)",
                    value: input["x-insert-path"]
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["x-component", "x-component-props", "x-index", "x-insert-path"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo9 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo10 = (input, _path, _exceptionable = true) => [undefined === input.allowChildren || (Array.isArray(input.allowChildren) || $report(_exceptionable, {
                    path: _path + ".allowChildren",
                    expected: "(Array<__type> | undefined)",
                    value: input.allowChildren
                })) && input.allowChildren.map((elem, _index14) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".allowChildren[" + _index14 + "]",
                    expected: "__type.o5",
                    value: elem
                })) && $vo11(elem, _path + ".allowChildren[" + _index14 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".allowChildren[" + _index14 + "]",
                    expected: "__type.o5",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".allowChildren",
                    expected: "(Array<__type> | undefined)",
                    value: input.allowChildren
                }), undefined === input.allowParent || (Array.isArray(input.allowParent) || $report(_exceptionable, {
                    path: _path + ".allowParent",
                    expected: "(Array<__type>.o1 | undefined)",
                    value: input.allowParent
                })) && input.allowParent.map((elem, _index15) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".allowParent[" + _index15 + "]",
                    expected: "__type.o6",
                    value: elem
                })) && $vo12(elem, _path + ".allowParent[" + _index15 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".allowParent[" + _index15 + "]",
                    expected: "__type.o6",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".allowParent",
                    expected: "(Array<__type>.o1 | undefined)",
                    value: input.allowParent
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["allowChildren", "allowParent"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo11 = (input, _path, _exceptionable = true) => ["string" === typeof input.componentType || $report(_exceptionable, {
                    path: _path + ".componentType",
                    expected: "string",
                    value: input.componentType
                }), undefined === input.recursive || "boolean" === typeof input.recursive || $report(_exceptionable, {
                    path: _path + ".recursive",
                    expected: "(boolean | undefined)",
                    value: input.recursive
                }), undefined === input.tip || "string" === typeof input.tip || $report(_exceptionable, {
                    path: _path + ".tip",
                    expected: "(string | undefined)",
                    value: input.tip
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["componentType", "recursive", "tip"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo12 = (input, _path, _exceptionable = true) => ["string" === typeof input.componentType || $report(_exceptionable, {
                    path: _path + ".componentType",
                    expected: "string",
                    value: input.componentType
                }), "boolean" === typeof input.recursive || $report(_exceptionable, {
                    path: _path + ".recursive",
                    expected: "boolean",
                    value: input.recursive
                }), undefined === input.tip || "string" === typeof input.tip || $report(_exceptionable, {
                    path: _path + ".tip",
                    expected: "(string | undefined)",
                    value: input.tip
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["componentType", "recursive", "tip"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo13 = (input, _path, _exceptionable = true) => ["string" === typeof input.rule || $report(_exceptionable, {
                    path: _path + ".rule",
                    expected: "string",
                    value: input.rule
                }), undefined === input.options || ("object" === typeof input.options && null !== input.options || $report(_exceptionable, {
                    path: _path + ".options",
                    expected: "(__type.o8 | undefined)",
                    value: input.options
                })) && $vo14(input.options, _path + ".options", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".options",
                    expected: "(__type.o8 | undefined)",
                    value: input.options
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["rule", "options"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo14 = (input, _path, _exceptionable = true) => ["string" === typeof input.title || $report(_exceptionable, {
                    path: _path + ".title",
                    expected: "string",
                    value: input.title
                }), "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "string",
                    value: input.description
                }), "string" === typeof input.type || $report(_exceptionable, {
                    path: _path + ".type",
                    expected: "string",
                    value: input.type
                }), undefined === input.name || "string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "(string | undefined)",
                    value: input.name
                }), undefined === input.label || "string" === typeof input.label || $report(_exceptionable, {
                    path: _path + ".label",
                    expected: "(string | undefined)",
                    value: input.label
                }), undefined === input.tooltip || "string" === typeof input.tooltip || $report(_exceptionable, {
                    path: _path + ".tooltip",
                    expected: "(string | undefined)",
                    value: input.tooltip
                }), undefined === input.version || "string" === typeof input.version || $report(_exceptionable, {
                    path: _path + ".version",
                    expected: "(string | undefined)",
                    value: input.version
                }), undefined === input.allowFailure || "boolean" === typeof input.allowFailure || $report(_exceptionable, {
                    path: _path + ".allowFailure",
                    expected: "(boolean | undefined)",
                    value: input.allowFailure
                }), undefined === input.matchedSelectedPlatform || (Array.isArray(input.matchedSelectedPlatform) || $report(_exceptionable, {
                    path: _path + ".matchedSelectedPlatform",
                    expected: "(Array<\"h5\" | \"miniprogram\" | \"pc\"> | undefined)",
                    value: input.matchedSelectedPlatform
                })) && input.matchedSelectedPlatform.map((elem, _index16) => "h5" === elem || "miniprogram" === elem || "pc" === elem || $report(_exceptionable, {
                    path: _path + ".matchedSelectedPlatform[" + _index16 + "]",
                    expected: "(\"h5\" | \"miniprogram\" | \"pc\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".matchedSelectedPlatform",
                    expected: "(Array<\"h5\" | \"miniprogram\" | \"pc\"> | undefined)",
                    value: input.matchedSelectedPlatform
                }), undefined === input.matchedPublishedPlatform || (Array.isArray(input.matchedPublishedPlatform) || $report(_exceptionable, {
                    path: _path + ".matchedPublishedPlatform",
                    expected: "(Array<\"miniprogram\" | \"web\" | \"all\"> | undefined)",
                    value: input.matchedPublishedPlatform
                })) && input.matchedPublishedPlatform.map((elem, _index17) => "miniprogram" === elem || "web" === elem || "all" === elem || $report(_exceptionable, {
                    path: _path + ".matchedPublishedPlatform[" + _index17 + "]",
                    expected: "(\"all\" | \"miniprogram\" | \"web\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".matchedPublishedPlatform",
                    expected: "(Array<\"miniprogram\" | \"web\" | \"all\"> | undefined)",
                    value: input.matchedPublishedPlatform
                }), true, undefined === input.action || ("object" === typeof input.action && null !== input.action && false === Array.isArray(input.action) || $report(_exceptionable, {
                    path: _path + ".action",
                    expected: "(__type.o9 | undefined)",
                    value: input.action
                })) && $vo15(input.action, _path + ".action", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".action",
                    expected: "(__type.o9 | undefined)",
                    value: input.action
                }), false === _exceptionable || Object.keys(input).map(key => {
                    if (["title", "description", "type", "name", "label", "tooltip", "version", "allowFailure", "matchedSelectedPlatform", "matchedPublishedPlatform", "extra", "action"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo15 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo16 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return (null !== value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "(__type.o11 | boolean)",
                            value: value
                        })) && (undefined !== value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "(__type.o11 | boolean)",
                            value: value
                        })) && ("boolean" === typeof value || ("object" === typeof value && null !== value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "(__type.o11 | boolean)",
                            value: value
                        })) && $vo17(value, _path + $join(key), true && _exceptionable) || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "(__type.o11 | boolean)",
                            value: value
                        }));
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo17 = (input, _path, _exceptionable = true) => ["boolean" === typeof input.visible || $report(_exceptionable, {
                    path: _path + ".visible",
                    expected: "boolean",
                    value: input.visible
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["visible"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo18 = (input, _path, _exceptionable = true) => [true === input.$blockedAll || $report(_exceptionable, {
                    path: _path + ".$blockedAll",
                    expected: "true",
                    value: input.$blockedAll
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["$blockedAll"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo19 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return ("object" === typeof value && null !== value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o14",
                            value: value
                        })) && $vo20(value, _path + $join(key), true && _exceptionable) || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o14",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo20 = (input, _path, _exceptionable = true) => ["number" === typeof input["x-index"] || $report(_exceptionable, {
                    path: _path + "[\"x-index\"]",
                    expected: "number",
                    value: input["x-index"]
                }), "boolean" === typeof input.expand || $report(_exceptionable, {
                    path: _path + ".expand",
                    expected: "boolean",
                    value: input.expand
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["x-index", "expand"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo21 = (input, _path, _exceptionable = true) => [undefined === input.headerIcon || "string" === typeof input.headerIcon || $report(_exceptionable, {
                    path: _path + ".headerIcon",
                    expected: "(string | undefined)",
                    value: input.headerIcon
                }), (Array.isArray(input.operation) || $report(_exceptionable, {
                    path: _path + ".operation",
                    expected: "Array<__type>.o3",
                    value: input.operation
                })) && input.operation.map((elem, _index18) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".operation[" + _index18 + "]",
                    expected: "__type.o16",
                    value: elem
                })) && $vo22(elem, _path + ".operation[" + _index18 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".operation[" + _index18 + "]",
                    expected: "__type.o16",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".operation",
                    expected: "Array<__type>.o3",
                    value: input.operation
                }), undefined === input.previewSlotName || "string" === typeof input.previewSlotName || $report(_exceptionable, {
                    path: _path + ".previewSlotName",
                    expected: "(string | undefined)",
                    value: input.previewSlotName
                }), undefined === input.insertSlotName || "string" === typeof input.insertSlotName || $report(_exceptionable, {
                    path: _path + ".insertSlotName",
                    expected: "(string | undefined)",
                    value: input.insertSlotName
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["headerIcon", "operation", "previewSlotName", "insertSlotName"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo22 = (input, _path, _exceptionable = true) => ["string" === typeof input.icon || $report(_exceptionable, {
                    path: _path + ".icon",
                    expected: "string",
                    value: input.icon
                }), "string" === typeof input.title || $report(_exceptionable, {
                    path: _path + ".title",
                    expected: "string",
                    value: input.title
                }), "string" === typeof input.action || $report(_exceptionable, {
                    path: _path + ".action",
                    expected: "string",
                    value: input.action
                }), 3 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["icon", "title", "action"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo23 = (input, _path, _exceptionable = true) => [("object" === typeof input.sceneConfig && null !== input.sceneConfig || $report(_exceptionable, {
                    path: _path + ".sceneConfig",
                    expected: "__type.o18",
                    value: input.sceneConfig
                })) && $vo24(input.sceneConfig, _path + ".sceneConfig", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".sceneConfig",
                    expected: "__type.o18",
                    value: input.sceneConfig
                }), undefined === input.fieldsConfig || ("object" === typeof input.fieldsConfig && null !== input.fieldsConfig && false === Array.isArray(input.fieldsConfig) || $report(_exceptionable, {
                    path: _path + ".fieldsConfig",
                    expected: "(__type.o19 | undefined)",
                    value: input.fieldsConfig
                })) && $vo25(input.fieldsConfig, _path + ".fieldsConfig", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".fieldsConfig",
                    expected: "(__type.o19 | undefined)",
                    value: input.fieldsConfig
                }), undefined === input.apisConfig || ("object" === typeof input.apisConfig && null !== input.apisConfig || $report(_exceptionable, {
                    path: _path + ".apisConfig",
                    expected: "(__type.o20 | undefined)",
                    value: input.apisConfig
                })) && $vo26(input.apisConfig, _path + ".apisConfig", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".apisConfig",
                    expected: "(__type.o20 | undefined)",
                    value: input.apisConfig
                }), undefined === input.mysqlConfig || ("object" === typeof input.mysqlConfig && null !== input.mysqlConfig && false === Array.isArray(input.mysqlConfig) || $report(_exceptionable, {
                    path: _path + ".mysqlConfig",
                    expected: "(__type.o21 | undefined)",
                    value: input.mysqlConfig
                })) && $vo27(input.mysqlConfig, _path + ".mysqlConfig", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".mysqlConfig",
                    expected: "(__type.o21 | undefined)",
                    value: input.mysqlConfig
                }), undefined === input.bindParamsPath || ("object" === typeof input.bindParamsPath && null !== input.bindParamsPath && false === Array.isArray(input.bindParamsPath) || $report(_exceptionable, {
                    path: _path + ".bindParamsPath",
                    expected: "(Partial<Record<Scene, Partial<Record<SceneTarget, string>>>> | undefined)",
                    value: input.bindParamsPath
                })) && $vo28(input.bindParamsPath, _path + ".bindParamsPath", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".bindParamsPath",
                    expected: "(Partial<Record<Scene, Partial<Record<SceneTarget, string>>>> | undefined)",
                    value: input.bindParamsPath
                }), undefined === input.quickOperateButton || (Array.isArray(input.quickOperateButton) || $report(_exceptionable, {
                    path: _path + ".quickOperateButton",
                    expected: "(Array<__type>.o4 | undefined)",
                    value: input.quickOperateButton
                })) && input.quickOperateButton.map((elem, _index19) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".quickOperateButton[" + _index19 + "]",
                    expected: "__type.o22",
                    value: elem
                })) && $vo30(elem, _path + ".quickOperateButton[" + _index19 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".quickOperateButton[" + _index19 + "]",
                    expected: "__type.o22",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".quickOperateButton",
                    expected: "(Array<__type>.o4 | undefined)",
                    value: input.quickOperateButton
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["sceneConfig", "fieldsConfig", "apisConfig", "mysqlConfig", "bindParamsPath", "quickOperateButton"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo24 = (input, _path, _exceptionable = true) => [(Array.isArray(input.scenes) || $report(_exceptionable, {
                    path: _path + ".scenes",
                    expected: "Array<Scene>",
                    value: input.scenes
                })) && input.scenes.map((elem, _index20) => "update" === elem || "batchCreate" === elem || "batchSelect" === elem || "batchDelete" === elem || "create" === elem || "select" === elem || $report(_exceptionable, {
                    path: _path + ".scenes[" + _index20 + "]",
                    expected: "(\"batchCreate\" | \"batchDelete\" | \"batchSelect\" | \"create\" | \"select\" | \"update\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".scenes",
                    expected: "Array<Scene>",
                    value: input.scenes
                }), (Array.isArray(input.availableScenes) || $report(_exceptionable, {
                    path: _path + ".availableScenes",
                    expected: "Array<Scene>",
                    value: input.availableScenes
                })) && input.availableScenes.map((elem, _index21) => "update" === elem || "batchCreate" === elem || "batchSelect" === elem || "batchDelete" === elem || "create" === elem || "select" === elem || $report(_exceptionable, {
                    path: _path + ".availableScenes[" + _index21 + "]",
                    expected: "(\"batchCreate\" | \"batchDelete\" | \"batchSelect\" | \"create\" | \"select\" | \"update\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".availableScenes",
                    expected: "Array<Scene>",
                    value: input.availableScenes
                }), (Array.isArray(input.validCombinations) || $report(_exceptionable, {
                    path: _path + ".validCombinations",
                    expected: "Array<Array<Scene>>",
                    value: input.validCombinations
                })) && input.validCombinations.map((elem, _index22) => (Array.isArray(elem) || $report(_exceptionable, {
                    path: _path + ".validCombinations[" + _index22 + "]",
                    expected: "Array<Scene>",
                    value: elem
                })) && elem.map((elem, _index23) => "update" === elem || "batchCreate" === elem || "batchSelect" === elem || "batchDelete" === elem || "create" === elem || "select" === elem || $report(_exceptionable, {
                    path: _path + ".validCombinations[" + _index22 + "][" + _index23 + "]",
                    expected: "(\"batchCreate\" | \"batchDelete\" | \"batchSelect\" | \"create\" | \"select\" | \"update\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".validCombinations[" + _index22 + "]",
                    expected: "Array<Scene>",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".validCombinations",
                    expected: "Array<Array<Scene>>",
                    value: input.validCombinations
                }), undefined === input.enableSelectMultiple || "boolean" === typeof input.enableSelectMultiple || $report(_exceptionable, {
                    path: _path + ".enableSelectMultiple",
                    expected: "(boolean | undefined)",
                    value: input.enableSelectMultiple
                }), 3 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["scenes", "availableScenes", "validCombinations", "enableSelectMultiple"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo25 = (input, _path, _exceptionable = true) => [undefined === input.enableConfigFormat || "boolean" === typeof input.enableConfigFormat || $report(_exceptionable, {
                    path: _path + ".enableConfigFormat",
                    expected: "(boolean | undefined)",
                    value: input.enableConfigFormat
                }), undefined === input.showFieldTypeColumn || "boolean" === typeof input.showFieldTypeColumn || $report(_exceptionable, {
                    path: _path + ".showFieldTypeColumn",
                    expected: "(boolean | undefined)",
                    value: input.showFieldTypeColumn
                }), undefined === input.enableSelectFieldFormType || "boolean" === typeof input.enableSelectFieldFormType || $report(_exceptionable, {
                    path: _path + ".enableSelectFieldFormType",
                    expected: "(boolean | undefined)",
                    value: input.enableSelectFieldFormType
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["enableConfigFormat", "showFieldTypeColumn", "enableSelectFieldFormType"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo26 = (input, _path, _exceptionable = true) => ["boolean" === typeof input.enableConfigRecordAndTotalKey || $report(_exceptionable, {
                    path: _path + ".enableConfigRecordAndTotalKey",
                    expected: "boolean",
                    value: input.enableConfigRecordAndTotalKey
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["enableConfigRecordAndTotalKey"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo27 = (input, _path, _exceptionable = true) => [undefined === input.autoGenerateCountQuery || "boolean" === typeof input.autoGenerateCountQuery || $report(_exceptionable, {
                    path: _path + ".autoGenerateCountQuery",
                    expected: "(boolean | undefined)",
                    value: input.autoGenerateCountQuery
                }), undefined === input.countName || "string" === typeof input.countName || $report(_exceptionable, {
                    path: _path + ".countName",
                    expected: "(string | undefined)",
                    value: input.countName
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["autoGenerateCountQuery", "countName"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo28 = (input, _path, _exceptionable = true) => [undefined === input.update || ("object" === typeof input.update && null !== input.update && false === Array.isArray(input.update) || $report(_exceptionable, {
                    path: _path + ".update",
                    expected: "(Partial<Record<SceneTarget, string>> | undefined)",
                    value: input.update
                })) && $vo29(input.update, _path + ".update", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".update",
                    expected: "(Partial<Record<SceneTarget, string>> | undefined)",
                    value: input.update
                }), undefined === input.batchCreate || ("object" === typeof input.batchCreate && null !== input.batchCreate && false === Array.isArray(input.batchCreate) || $report(_exceptionable, {
                    path: _path + ".batchCreate",
                    expected: "(Partial<Record<SceneTarget, string>> | undefined)",
                    value: input.batchCreate
                })) && $vo29(input.batchCreate, _path + ".batchCreate", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".batchCreate",
                    expected: "(Partial<Record<SceneTarget, string>> | undefined)",
                    value: input.batchCreate
                }), undefined === input.batchSelect || ("object" === typeof input.batchSelect && null !== input.batchSelect && false === Array.isArray(input.batchSelect) || $report(_exceptionable, {
                    path: _path + ".batchSelect",
                    expected: "(Partial<Record<SceneTarget, string>> | undefined)",
                    value: input.batchSelect
                })) && $vo29(input.batchSelect, _path + ".batchSelect", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".batchSelect",
                    expected: "(Partial<Record<SceneTarget, string>> | undefined)",
                    value: input.batchSelect
                }), undefined === input.batchDelete || ("object" === typeof input.batchDelete && null !== input.batchDelete && false === Array.isArray(input.batchDelete) || $report(_exceptionable, {
                    path: _path + ".batchDelete",
                    expected: "(Partial<Record<SceneTarget, string>> | undefined)",
                    value: input.batchDelete
                })) && $vo29(input.batchDelete, _path + ".batchDelete", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".batchDelete",
                    expected: "(Partial<Record<SceneTarget, string>> | undefined)",
                    value: input.batchDelete
                }), undefined === input.create || ("object" === typeof input.create && null !== input.create && false === Array.isArray(input.create) || $report(_exceptionable, {
                    path: _path + ".create",
                    expected: "(Partial<Record<SceneTarget, string>> | undefined)",
                    value: input.create
                })) && $vo29(input.create, _path + ".create", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".create",
                    expected: "(Partial<Record<SceneTarget, string>> | undefined)",
                    value: input.create
                }), undefined === input.select || ("object" === typeof input.select && null !== input.select && false === Array.isArray(input.select) || $report(_exceptionable, {
                    path: _path + ".select",
                    expected: "(Partial<Record<SceneTarget, string>> | undefined)",
                    value: input.select
                })) && $vo29(input.select, _path + ".select", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".select",
                    expected: "(Partial<Record<SceneTarget, string>> | undefined)",
                    value: input.select
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["update", "batchCreate", "batchSelect", "batchDelete", "create", "select"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo29 = (input, _path, _exceptionable = true) => [undefined === input.condition || "string" === typeof input.condition || $report(_exceptionable, {
                    path: _path + ".condition",
                    expected: "(string | undefined)",
                    value: input.condition
                }), undefined === input.value || "string" === typeof input.value || $report(_exceptionable, {
                    path: _path + ".value",
                    expected: "(string | undefined)",
                    value: input.value
                }), undefined === input.limit || "string" === typeof input.limit || $report(_exceptionable, {
                    path: _path + ".limit",
                    expected: "(string | undefined)",
                    value: input.limit
                }), undefined === input.offset || "string" === typeof input.offset || $report(_exceptionable, {
                    path: _path + ".offset",
                    expected: "(string | undefined)",
                    value: input.offset
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["condition", "value", "limit", "offset"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo30 = (input, _path, _exceptionable = true) => ["string" === typeof input.icon || $report(_exceptionable, {
                    path: _path + ".icon",
                    expected: "string",
                    value: input.icon
                }), "string" === typeof input.targetField || $report(_exceptionable, {
                    path: _path + ".targetField",
                    expected: "string",
                    value: input.targetField
                }), "string" === typeof input.content || $report(_exceptionable, {
                    path: _path + ".content",
                    expected: "string",
                    value: input.content
                }), 3 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["icon", "targetField", "content"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo31 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo32 = (input, _path, _exceptionable = true) => [true, 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo33 = (input, _path, _exceptionable = true) => [undefined === input.categoryOrder || "number" === typeof input.categoryOrder || $report(_exceptionable, {
                    path: _path + ".categoryOrder",
                    expected: "(number | undefined)",
                    value: input.categoryOrder
                }), true, undefined === input.recommendTypes || ("object" === typeof input.recommendTypes && null !== input.recommendTypes || $report(_exceptionable, {
                    path: _path + ".recommendTypes",
                    expected: "(__type.o25 | undefined)",
                    value: input.recommendTypes
                })) && $vo34(input.recommendTypes, _path + ".recommendTypes", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".recommendTypes",
                    expected: "(__type.o25 | undefined)",
                    value: input.recommendTypes
                }), undefined === input.selectableBlock || ("object" === typeof input.selectableBlock && null !== input.selectableBlock || $report(_exceptionable, {
                    path: _path + ".selectableBlock",
                    expected: "(__type.o26 | undefined)",
                    value: input.selectableBlock
                })) && $vo35(input.selectableBlock, _path + ".selectableBlock", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".selectableBlock",
                    expected: "(__type.o26 | undefined)",
                    value: input.selectableBlock
                }), undefined === input.shortcut || ("object" === typeof input.shortcut && null !== input.shortcut && false === Array.isArray(input.shortcut) || $report(_exceptionable, {
                    path: _path + ".shortcut",
                    expected: "(IShortcut & { gridHotTemplates?: unknown[] | undefined; } | undefined)",
                    value: input.shortcut
                })) && $vo38(input.shortcut, _path + ".shortcut", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".shortcut",
                    expected: "(IShortcut & { gridHotTemplates?: unknown[] | undefined; } | undefined)",
                    value: input.shortcut
                }), (Array.isArray(input.templates) || $report(_exceptionable, {
                    path: _path + ".templates",
                    expected: "Array<ITemplate & { [k: `__${string}`]: any; }>",
                    value: input.templates
                })) && input.templates.map((elem, _index24) => ("object" === typeof elem && null !== elem && false === Array.isArray(elem) || $report(_exceptionable, {
                    path: _path + ".templates[" + _index24 + "]",
                    expected: "ITemplate & { [k: `__${string}`]: any; }",
                    value: elem
                })) && $vo40(elem, _path + ".templates[" + _index24 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".templates[" + _index24 + "]",
                    expected: "ITemplate & { [k: `__${string}`]: any; }",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".templates",
                    expected: "Array<ITemplate & { [k: `__${string}`]: any; }>",
                    value: input.templates
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["categoryOrder", "platforms", "recommendTypes", "selectableBlock", "shortcut", "templates"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo34 = (input, _path, _exceptionable = true) => [true, 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo35 = (input, _path, _exceptionable = true) => [(Array.isArray(input.events) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "Array<IEvent>",
                    value: input.events
                })) && input.events.map((elem, _index25) => ("object" === typeof elem && null !== elem || $report(_exceptionable, {
                    path: _path + ".events[" + _index25 + "]",
                    expected: "IEvent",
                    value: elem
                })) && $vo36(elem, _path + ".events[" + _index25 + "]", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".events[" + _index25 + "]",
                    expected: "IEvent",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".events",
                    expected: "Array<IEvent>",
                    value: input.events
                }), 1 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["events"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo36 = (input, _path, _exceptionable = true) => ["string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "string",
                    value: input.name
                }), "string" === typeof input.title || $report(_exceptionable, {
                    path: _path + ".title",
                    expected: "string",
                    value: input.title
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), undefined === input["x-platforms"] || (Array.isArray(input["x-platforms"]) || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"]",
                    expected: "(Array<\"WEB\" | \"MOBILE\" | \"MP\" | \"PCWEB\" | \"MOBILEWEB\"> | undefined)",
                    value: input["x-platforms"]
                })) && input["x-platforms"].map((elem, _index26) => "WEB" === elem || "MOBILE" === elem || "MP" === elem || "PCWEB" === elem || "MOBILEWEB" === elem || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"][" + _index26 + "]",
                    expected: "(\"MOBILE\" | \"MOBILEWEB\" | \"MP\" | \"PCWEB\" | \"WEB\")",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"]",
                    expected: "(Array<\"WEB\" | \"MOBILE\" | \"MP\" | \"PCWEB\" | \"MOBILEWEB\"> | undefined)",
                    value: input["x-platforms"]
                }), undefined === input.detail || ("object" === typeof input.detail && null !== input.detail && false === Array.isArray(input.detail) || $report(_exceptionable, {
                    path: _path + ".detail",
                    expected: "(__type.o27 | undefined)",
                    value: input.detail
                })) && $vo37(input.detail, _path + ".detail", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".detail",
                    expected: "(__type.o27 | undefined)",
                    value: input.detail
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name", "title", "description", "x-platforms", "detail"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo37 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo38 = (input, _path, _exceptionable = true) => [undefined === input.props || (Array.isArray(input.props) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(Array<string> | undefined)",
                    value: input.props
                })) && input.props.map((elem, _index27) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + ".props[" + _index27 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + ".props",
                    expected: "(Array<string> | undefined)",
                    value: input.props
                }), undefined === input.extra || ("object" === typeof input.extra && null !== input.extra && false === Array.isArray(input.extra) || $report(_exceptionable, {
                    path: _path + ".extra",
                    expected: "(__type.o28 | undefined)",
                    value: input.extra
                })) && $vo39(input.extra, _path + ".extra", true && _exceptionable) || $report(_exceptionable, {
                    path: _path + ".extra",
                    expected: "(__type.o28 | undefined)",
                    value: input.extra
                }), undefined === input.gridHotTemplates || Array.isArray(input.gridHotTemplates) || $report(_exceptionable, {
                    path: _path + ".gridHotTemplates",
                    expected: "(Array<unknown> | undefined)",
                    value: input.gridHotTemplates
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["props", "extra", "gridHotTemplates"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo39 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return ("object" === typeof value && null !== value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o2",
                            value: value
                        })) && $vo8(value, _path + $join(key), true && _exceptionable) || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "__type.o2",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo40 = (input, _path, _exceptionable = true) => [undefined === input.to || "string" === typeof input.to || $report(_exceptionable, {
                    path: _path + ".to",
                    expected: "(string | undefined)",
                    value: input.to
                }), undefined === input.when || "string" === typeof input.when || $report(_exceptionable, {
                    path: _path + ".when",
                    expected: "(string | undefined)",
                    value: input.when
                }), undefined === input.body || "string" === typeof input.body || $report(_exceptionable, {
                    path: _path + ".body",
                    expected: "(string | undefined)",
                    value: input.body
                }), undefined === input.autoSelectPath || "string" === typeof input.autoSelectPath && RegExp(/^template(.*)/).test(input.autoSelectPath) || $report(_exceptionable, {
                    path: _path + ".autoSelectPath",
                    expected: "(`template${string}` | undefined)",
                    value: input.autoSelectPath
                }), undefined === input.remain || "string" === typeof input.remain || $report(_exceptionable, {
                    path: _path + ".remain",
                    expected: "(string | undefined)",
                    value: input.remain
                }), false === _exceptionable || Object.keys(input).map(key => {
                    if (["to", "when", "body", "autoSelectPath", "remain"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/^(__(.*))/).test(key))
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo41 = (input, _path, _exceptionable = true) => [false === _exceptionable || Object.keys(input).map(key => {
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    if (RegExp(/(.*)/).test(key))
                        return "string" === typeof value || "number" === typeof value || $report(_exceptionable, {
                            path: _path + $join(key),
                            expected: "(number | string)",
                            value: value
                        });
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag)].every((flag) => flag);
            const $vo42 = (input, _path, _exceptionable = true) => ["string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "string",
                    value: input.name
                }), "string" === typeof input.selector || $report(_exceptionable, {
                    path: _path + ".selector",
                    expected: "string",
                    value: input.selector
                }), undefined === input.code || "string" === typeof input.code || $report(_exceptionable, {
                    path: _path + ".code",
                    expected: "(string | undefined)",
                    value: input.code
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name", "selector", "code", "description"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo43 = (input, _path, _exceptionable = true) => ["string" === typeof input.name || $report(_exceptionable, {
                    path: _path + ".name",
                    expected: "string",
                    value: input.name
                }), "string" === typeof input.label || $report(_exceptionable, {
                    path: _path + ".label",
                    expected: "string",
                    value: input.label
                }), true, undefined === input["x-platforms"] || (Array.isArray(input["x-platforms"]) || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"]",
                    expected: "(Array<string> | undefined)",
                    value: input["x-platforms"]
                })) && input["x-platforms"].map((elem, _index28) => "string" === typeof elem || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"][" + _index28 + "]",
                    expected: "string",
                    value: elem
                })).every((flag) => flag) || $report(_exceptionable, {
                    path: _path + "[\"x-platforms\"]",
                    expected: "(Array<string> | undefined)",
                    value: input["x-platforms"]
                }), undefined === input.description || "string" === typeof input.description || $report(_exceptionable, {
                    path: _path + ".description",
                    expected: "(string | undefined)",
                    value: input.description
                }), 2 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["name", "label", "params", "x-platforms", "description"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vo44 = (input, _path, _exceptionable = true) => [undefined === input.isDataContainer || "boolean" === typeof input.isDataContainer || $report(_exceptionable, {
                    path: _path + ".isDataContainer",
                    expected: "(boolean | undefined)",
                    value: input.isDataContainer
                }), undefined === input.componentType || "string" === typeof input.componentType || $report(_exceptionable, {
                    path: _path + ".componentType",
                    expected: "(string | undefined)",
                    value: input.componentType
                }), 0 === Object.keys(input).length || (false === _exceptionable || Object.keys(input).map(key => {
                    if (["isDataContainer", "componentType"].some(prop => key === prop))
                        return true;
                    const value = input[key];
                    if (undefined === value)
                        return true;
                    return $report(_exceptionable, {
                        path: _path + $join(key),
                        expected: "undefined",
                        value: value
                    });
                }).every((flag) => flag))].every((flag) => flag);
            const $vu0 = (input, _path, _exceptionable = true) => (() => {
                if (undefined !== input.$blockedAll)
                    return $vo18(input, _path, true && _exceptionable);
                return $vo16(input, _path, true && _exceptionable);
            })();
            return ("object" === typeof input && null !== input && false === Array.isArray(input) || $report(true, {
                path: _path + "",
                expected: "IComponentConfig",
                value: input
            })) && $vo0(input, _path + "", true) || $report(true, {
                path: _path + "",
                expected: "IComponentConfig",
                value: input
            });
        })(input, "$input", true);
    }
    const success = 0 === errors.length;
    return {
        success,
        errors,
        data: success ? input : undefined
    };
};
exports.check = check;
