import { CloudApiService } from '@cloudbase/toolbox';
import { CloudApiService as PrivateCloudApiService } from '@cloudbase/cloud-api';
import { GraceBuildService, IBuildCompsInfo, IPlatformType, IPlatformConfig } from '../graceBuild';
import type { ILcdsConfig } from '../graceBuild';
export interface IGracePublishCompsInfo extends IBuildCompsInfo {
    isAdmin: boolean;
}
export interface IPlatformInfo {
    alias: string;
    sourceAlias: string;
    sourcePath: string;
    sourceZippedFileName: string;
}
export declare class GracePublishService extends GraceBuildService {
    protected publishInfo: IGracePublishCompsInfo;
    protected cloudService: CloudApiService | PrivateCloudApiService;
    private compsId?;
    protected lcdsConfig: ILcdsConfig;
    private privateApiMap;
    constructor(info: IGracePublishCompsInfo);
    protected getApiName(publicApiName: string): Promise<string>;
    publish(): Promise<void>;
    protected validateComps(): Promise<string>;
    private loadLcdsConfig;
    private setCloudCompsConfig;
    private uploadDistFiles;
    private uploadSrcFiles;
    zipSourceCode(params: {
        sourcePath: string;
        sourceZippedFileName: string;
        platform: 'web' | 'mp';
        platformRoot: Record<IPlatformType, string> | Record<IPlatformType, IPlatformConfig>;
        context: string;
        configRoot: string;
        ignoreGlobs: any[];
        lcdsConfig?: ILcdsConfig;
    }): Promise<void>;
    private uploadIcon;
    private uploadFileToCos;
}
export declare function gracePublishComps(info: IGracePublishCompsInfo): Promise<void>;
//# sourceMappingURL=index.d.ts.map